Class Fox::FXPrinter

In: | FXDCPrint.rb
Parent: | Object

Describes printer

### Printer flags

`PRINT_DEST_PAPER`: | Send print to paper
`PRINT_DEST_FILE`: | Send print to file
`PRINT_PAGES_ALL`: | Print all pages
`PRINT_PAGES_EVEN`: | Print even pages only
`PRINT_PAGES_ODD`: | Print odd pages only
`PRINT_PAGES_RANGE`: | Print range of pages
`PRINT_COLLATE_NORMAL`: | Normal collate order
`PRINT_COLLATE_REVERSED`: | Reversed collate order
`PRINT_PORTRAIT`: | Portrait orientation
`PRINT_LANDSCAPE`: | Landscape orientation
`PRINT_BLACKANDWHITE`: | Black and white output
`PRINT_COLOR`: | Color output
`PRINT_NOBOUNDS`: | Must determine bounding box

### Printer media size

`MEDIA_CUSTOM`: | Custom paper size
`MEDIA_USLETTER`: | US Letter size
`MEDIA_LEGAL`: | US Legal size
+MEDIA_A4+: | A4
`MEDIA_ENVELOPE`: | 10 Envelope

Methods

new

Attributes

bottommargin | [RW] | Bottom margin [Float]
currentpage | [RW] | Current page to print [Integer]
firstpage | [RW] | First page that can be printed [Integer]
flags | [RW] | Flags [Integer]
frompage | [RW] | On output, this is the first page to print [Integer]
lastpage | [RW] | Last page that can be printed [Integer]
leftmargin | [RW] | Left margin [Float]
mediaheight | [RW] | Height of paper in points [Float]
mediasize | [RW] | Media size index, one of `MEDIA_CUSTOM`, `MEDIA_USLETTER`, `MEDIA_LEGAL`, +MEDIA_A4+ or `MEDIA_ENVELOPE` [Integer]
mediawidth | [RW] | Width of paper in points (1/72 of an inch) [Float]
name | [RW] | Printer name [String]
numcopies | [RW] | Number of copies [Integer]
rightmargin | [RW] | Right margin [Float]
topage | [RW] | On output, last page to print [Integer]
topmargin | [RW] | Top margin [Float]

Public Class methods

new()

Returns an initialized FXPrinter instance